Página 1 de 1

Migrar Modelo de Grupo

NotaPublicado: Lun May 21, 2012 11:08 pm
por vhorozco
Saludos colegas,

Les cuento que estoy trabajando en un nuevo proyecto con la siguiente configuración:

Plex 6.1
Java 6
Win7

Mi situación es que tengo algunas Librerías de Patrones desarrolladas en plex 6, las mismas que no suben en la versión 6.1 de plex, ademas no puedo conectarme al modelo de grupo desarrolado en 6.0.

Alguna idea por donde puedo avanzar ????



Gracias a todos por las respuestas.



Hugo

Más información

NotaPublicado: Mar May 22, 2012 1:29 pm
por Jorge Ubeda
No entiendo muy bien tu problema: ¿necesitas usar en Plex 6.1 algunas librerías que no puedes actualizar desde Plex 6.0? ¿por qué? ¿es una restricción política, o un problema técnico? ¿no puedes conectarte al modelo de Plex 6.0 porque necesitas seguir desarrollando en esa versión? Es un problema complejo mantener dos versiones de Plex simultáneamente.
Si nos cuentas algo más, quizá podamos ayudarte.

NotaPublicado: Jue May 24, 2012 11:39 pm
por vhorozco
Gracias Jorge por responder. Describiré mejor mi tema:


Tengo un modelo diseñado en la versión 6.0 de Plex, genero y doy mantenimiento a mis aplicaciones sin problema, sin embargo, deseo trabajar sobre este mismo modelo pero con la versión 6.1 de Plex, entonces, cuando trato de conectarme desde Plex 6.1 al modelo de grupo (de la versión 6.0) no me permite, el mensaje me dice que: el modelo de grupo al que quiero conectarme pertenece a una versión anterior de Plex 6.1.

La pregunta en concreto sería: ¿debo hacer algún proceso de migración para que plex 6.1 reconozca al modelo generado en la versión 6.0 ,o incluso en versiones anteriores?

Gracias por sus consejos.


Atte,
Hugo

Peligro!

NotaPublicado: Vie May 25, 2012 8:04 am
por Jorge Ubeda
Espero que cada vez que has hecho esas pruebas hubieras tenido backup. La regla con Plex es esta: un modelo está convertido a la versión que lo usa de Plex. Si tienes un modelo en 6.0 y lo quieres levantar con 6.1, lo puedes hacer, pero una vez hecho, no se puede volver atrás. Y no solo eso: basta con que levantes un modelo local o una librería, para que todo el conjunto de modelo de grupo y librerías deban ser actualizados a la versión superior, y no puedan volver atrás. Lógicamente, puedes subir de versión un modelo local, pero , si no vas a subir de versión el modelo de grupo, NUNCA te debes loguear con ese modelo local a su modelo de grupo.
No es algo mortal, pero no se puede volver atrás, salvo que hagas backup, y lo restaures una vez que hagas tus pruebas. Pero cuidado, que tal backup va a ser de tu(s) modelo(s) local(es), el modelo de grupo, y TODAS sus librerías.
Otra alternativa, si deseas ensayar con tus modelos en 6.1, es que dupliques el conjunto, y pruebes en el duplicado, en una máquina separada, si es posible fuera de la red, si estás en una. Pero un duplicado nunca se debe actualizar a su original. Son dos desarrollos separados.
Otra, es que armes un pequeño modelo, sólo dependiente de los patrones de 6.1, y juegues allí.
Plex maneja versiones, pero sobre sus modelos, y respecto a sus modelos. Nunca un modelo puede ser accedido con dos versiones de Plex.

migración

NotaPublicado: Vie May 25, 2012 8:07 am
por Jorge Ubeda
Para que quede claro, migrar de una versión de Plex a otra, es tan simple como aceptar el aviso de que ya no se podrá volver atrás, y seguir adelante. Cuando actualices la próxima vez a tu modelo de grupo, pasarás éste a la versión nueva, y cualquier otro usuario que tenga un modelo local será obligado a subir de versión, así como cualquier otro modelo de grupo que haya sido librería del tuyo. Como verás, simple pero mandatorio y coordinado

NotaPublicado: Dom May 27, 2012 2:01 am
por vhorozco
Gracias Jorge, me sirvió mucho tu aporte, en realidad fue sencillo el cambio, y por supuesto, tuve en cuenta tus recomendaciones sobre el backup.


Saludos Cordiales

Re: Migrar Modelo de Grupo

NotaPublicado: Mié Dic 03, 2014 12:28 pm
por maya112
Tengo un modelo diseñado en la versión 6.0 de Plex, genero y doy mantenimiento a mis aplicaciones sin problema, sin embargo, deseo trabajar sobre este mismo modelo pero con la versión 6.1 de Plex, entonces, cuando trato de conectarme desde Plex 6.1 al modelo de grupo (de la versión 6.0) no me permite, el mensaje me dice que: el modelo de grupo al que quiero conectarme pertenece a una versión anterior de Plex 6.1.

Re: Migrar Modelo de Grupo

NotaPublicado: Mié Dic 03, 2014 2:41 pm
por Jorge Ubeda
Tu pregunta está respondida a vhorozco » Jue May 24, 2012 10:39 pm... aquí mismo.

No es posible trabajar con una versión posterior de Plex sobre una versión anterior. O sigues usando la versión de Plex anterior (6.0) para entrar a tu modelo 6.0, o aceptas el aviso que te dá Plex, y actualizas el modelo local a la versión nueva (6.1). Un modelo actualizado ya no puede volver a editarse con la versión anterior. Un modelo anterior puede verse sin embargo en una versión más nueva, a condición de que deshabilites la actualización del modelo local (no permitir ningún update del modelo). Al salir, debes salir sin confirmar los cambios.